/*
 *	spComboBox_Gtk.h
 */

#ifndef __SPCOMBOBOX_GTK_H
#define __SPCOMBOBOX_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif
    
typedef struct _spComboBoxArchPart {
#if GTK_CHECK_VERSION(3,0,0)
    GtkTreeModel *model;
#else
    int dummy;
#endif
} spComboBoxArchPart;

extern GtkWidget *spGetComboBoxEntryGtk(spComponent component);
extern long spGetComboBoxTextLengthGtk(spComponent component);
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPCOMBOBOX_GTK_H */
