/*
 *	spDraw_Gtk.h
 */

#ifndef __SPDRAW_GTK_H
#define __SPDRAW_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spPolygonArchPart {
    GdkPoint *points;
} spPolygonArchPart;

#if GTK_CHECK_VERSION(2,0,0)
extern spBool spGetFontDescAscentGtk(PangoLayout *layout, PangoFontDescription *font_desc,
                                     int *ascent, int *descent);
#endif

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPDRAW_GTK_H */
