#ifdef __cplusplus
extern "C" {
#endif

static spStringTable sp_string_table_c[] = {
    {SP_OK_LABEL_ID, "OK"},
    {SP_CANCEL_LABEL_ID, "Cancel"},
    {SP_YES_LABEL_ID, "Yes"},
    {SP_NO_LABEL_ID, "No"},
    {SP_RETRY_LABEL_ID, "Retry"},
    {SP_OPEN_LABEL_ID, "Open"},
    {SP_SAVE_LABEL_ID, "Save"},
    {SP_FILTER_LABEL_ID, "Filter"},
    {SP_APPLY_LABEL_ID, "Apply"},
    {SP_DIR_LIST_LABEL_ID, "Directories"},
    {SP_FILE_LIST_LABEL_ID, "Files"},
    {SP_FILE_NAME_LABEL_ID, "File Name"},
    {SP_FILE_TYPE_LABEL_ID, "File Type"},

    {SP_INFORMATION_TITLE_ID, "Information"},
    {SP_QUESTION_TITLE_ID, "Question"},
    {SP_WARNING_TITLE_ID, "Warning"},
    {SP_ERROR_TITLE_ID, "Error"},
    {SP_WORKING_TITLE_ID, "Working"},
    {SP_MESSAGE_TITLE_ID, "Message"},
    {SP_OPEN_TITLE_ID, "Open..."},
    {SP_SAVE_TITLE_ID, "Save As..."},
    {SP_DIR_SELECTION_TITLE_ID, "Select Directory..."},
    {SP_FILE_SELECTION_BUTTON_ID, "Select..."},
    {SP_DIR_SELECTION_BUTTON_ID, "Select..."},
    {SP_FONT_SELECTION_TITLE_ID, "Select Font..."},
    {SP_FONT_FAMILY_LABEL_ID, "Font Name:"},
    {SP_FONT_STYLE_LABEL_ID, "Style:"},
    {SP_FONT_STYLE_MEDIUM_LABEL_ID, "Medium"},
    {SP_FONT_STYLE_ITALIC_LABEL_ID, "Italic"},
    {SP_FONT_STYLE_OBLIQUE_LABEL_ID, "Oblique"},
    {SP_FONT_STYLE_BOLD_LABEL_ID, "Bold"},
    {SP_FONT_STYLE_BOLD_ITALIC_LABEL_ID, "Bold Italic"},
    {SP_FONT_STYLE_BOLD_OBLIQUE_LABEL_ID, "Bold Oblique"},
    {SP_FONT_STYLE_LIGHT_LABEL_ID, "Light"},
    {SP_FONT_STYLE_LIGHT_ITALIC_LABEL_ID, "Light Italic"},
    {SP_FONT_STYLE_LIGHT_OBLIQUE_LABEL_ID, "Light Oblique"},
    {SP_FONT_STYLE_BLACK_LABEL_ID, "Black"},
    {SP_FONT_STYLE_BLACK_ITALIC_LABEL_ID, "Black Italic"},
    {SP_FONT_STYLE_BLACK_OBLIQUE_LABEL_ID, "Black Oblique"},
    {SP_FONT_SIZE_LABEL_ID, "Size:"},
    {SP_FONT_SAMPLE_LABEL_ID, "Sample"},
    {SP_FONT_SAMPLE_CONTENTS_C_ID, "AaBbYyZz"},
    {SP_FONT_SAMPLE_CONTENTS_ID, "AaBbYyZz"},
    {SP_FONT_CHARSET_LABEL_ID, "Character Set:"},
    {SP_COLOR_SELECTION_TITLE_ID, "Select Color..."},
    {SP_PAGE_SETUP_TITLE_ID, "Page Setup"},
    {SP_PAGE_SETUP_PAPER_TITLE_ID, "Paper"},
    {SP_PAGE_SETUP_PAPER_TYPE_ID, "Type:"},
    {SP_PAGE_SETUP_PAPER_SIZE_ID, "Size:"},
    {SP_PAGE_SETUP_ORIENTATION_TITLE_ID, "Orientation"},
    {SP_PAGE_SETUP_MARGIN_TITLE_ID, "Margins"},
#if defined(IPHONE) || defined(ANDROID)
    {SP_PAGE_SETUP_ORIENTATION_PORTRAIT_ID, "PR"},
    {SP_PAGE_SETUP_ORIENTATION_LANDSCAPE_ID, "LS"},
    {SP_PAGE_SETUP_MARGIN_LEFT_LABEL_ID, " L:"},
    {SP_PAGE_SETUP_MARGIN_RIGHT_LABEL_ID, " R:"},
    {SP_PAGE_SETUP_MARGIN_TOP_LABEL_ID, " T:"},
    {SP_PAGE_SETUP_MARGIN_BOTTOM_LABEL_ID, " B:"},
#else
    {SP_PAGE_SETUP_ORIENTATION_PORTRAIT_ID, "Portrait"},
    {SP_PAGE_SETUP_ORIENTATION_LANDSCAPE_ID, "Landscape"},
    {SP_PAGE_SETUP_MARGIN_LEFT_LABEL_ID, " Left:"},
    {SP_PAGE_SETUP_MARGIN_RIGHT_LABEL_ID, " Right:"},
    {SP_PAGE_SETUP_MARGIN_TOP_LABEL_ID, " Top:"},
    {SP_PAGE_SETUP_MARGIN_BOTTOM_LABEL_ID, " Bottom:"},
#endif
    {SP_PAGE_SETUP_PREVIEW_TITLE_ID, "Preview"},
    {SP_PAGE_SETUP_MARGIN_WARNING_TITLE_ID, "Page Setup"},
    {SP_PAGE_SETUP_MARGIN_WARNING_MESSAGE_ID, "The margins overlap or they are off the printer.\nEnter a different margin size."},
    {SP_PRINTER_DIALOG_TITLE_ID, "Print"},
    {SP_PRINTER_BOX_TITLE_ID, "Printer"},
    {SP_PRINTER_NAME_LABEL_ID, "Name:"},
    {SP_PRINT_RANGE_BOX_TITLE_ID, "Print range"},
    {SP_PRINT_RANGE_ALL_LABEL_ID, "All"},
    {SP_PRINT_RANGE_SELECTION_LABEL_ID, "Selection"},
    {SP_PRINT_RANGE_CURRENT_LABEL_ID, "Current page"},
    {SP_PRINT_RANGE_PAGES_LABEL_ID, "Pages"},
    {SP_PRINT_COPIES_BOX_TITLE_ID, "Copies"},
    {SP_PRINT_COPIES_FIELD_LABEL_ID, "Number of copies:"},
    {SP_PRINT_COLLATE_LABEL_ID, "Collate"},
    {SP_PRINT_RANGE_FROM_LABEL_ID, "From:"},
    {SP_PRINT_RANGE_TO_LABEL_ID, "To:"},
    {SP_PRINT_DOUBLE_SIDED_LABEL_ID, "Double-sided"},
    {SP_PRINT_DOUBLE_SIDED_TUMBLE_LABEL_ID, "Tumble"},
    {SP_PRINT_WARNING_TITLE_ID, "Print"},
    {SP_PRINT_RANGE_WARNING_MESSAGE_ID, "Page range is incorrect."},
    
    {SP_QUIT_QUESTION_TITLE_ID, "Quit"},
    {SP_QUIT_QUESTION_MESSAGE_ID, "Really quit?"},
    {SP_CLOSE_QUESTION_TITLE_ID, "Close"},
    {SP_CLOSE_QUESTION_MESSAGE_ID, "Relly close window?"},
    {SP_MODIFY_QUIT_QUESTION_TITLE_ID, "Quit"},
    {SP_MODIFY_QUIT_QUESTION_MESSAGE_ID, "Modified files exist.\nQuit anyway?"},
    {SP_MODIFY_CLOSE_QUESTION_TITLE_ID, "Close"},
    {SP_MODIFY_CLOSE_QUESTION_MESSAGE_ID, "Modified files exist.\nClose anyway?"},
    {SP_OVERWRITE_PROMPT_TITLE_ID, "Overwrite"},
    {SP_OVERWRITE_PROMPT_MESSAGE_ID, "Overwrite existing file \"%s\"?"},
    {SP_SAVE_CHANGES_PROMPT_TITLE_ID, "Save Changes"},
    {SP_SAVE_CHANGES_PROMPT_MESSAGE_ID, "Do you want to save changes to \n\"%s\"?"},
    {SP_NOT_FOUND_FILE_MESSAGE_ID, "No such file."},
    {SP_NOT_FOUND_PATH_MESSAGE_ID, "No such directory."},
    {SP_NOT_DIR_MESSAGE_ID, "Please select a directory."},
    
    {SP_FILE_MENU_LABEL_ID, "&File"},
    {SP_EDIT_MENU_LABEL_ID, "&Edit"},
    {SP_VIEW_MENU_LABEL_ID, "&View"},
    {SP_WINDOW_MENU_LABEL_ID, "&Window"},
    {SP_HELP_MENU_LABEL_ID, "&Help"},
    {SP_HELP_WITH_NAME_MENU_LABEL_ID, "%s Hel&p"},

    {SP_NEW_MENU_LABEL_ID, "&New"},
    {SP_OPEN_MENU_LABEL_ID, "&Open..."},
    {SP_CLOSE_MENU_LABEL_ID, "&Close"},
    {SP_SAVE_MENU_LABEL_ID, "&Save"},
    {SP_SAVE_AS_MENU_LABEL_ID, "Save &As..."},
    {SP_PAGE_SETUP_MENU_LABEL_ID, "Page S&etup..."},
    {SP_PRINT_MENU_LABEL_ID, "&Print"},
    {SP_QUIT_MENU_LABEL_ID, "&Quit"},
    {SP_QUIT_WITH_NAME_MENU_LABEL_ID, "&Quit %s"},
    
    {SP_UNDO_MENU_LABEL_ID, "&Undo"},
    {SP_REDO_MENU_LABEL_ID, "&Redo"},
    {SP_CUT_MENU_LABEL_ID, "Cu&t"},
    {SP_COPY_MENU_LABEL_ID, "&Copy"},
    {SP_PASTE_MENU_LABEL_ID, "&Paste"},
    {SP_CLEAR_MENU_LABEL_ID, "C&lear"},
    {SP_DELETE_MENU_LABEL_ID, "&Delete"},
    {SP_SELECT_ALL_MENU_LABEL_ID, "Select &All"},
    
    {SP_ABOUT_MENU_LABEL_ID, "&About..."},
    {SP_ABOUT_WITH_NAME_MENU_LABEL_ID, "&About %s"},
    {SP_ABOUT_LABEL_ID, "About This Software"},
    {SP_THIS_SOFTWARE_LABEL_ID, "This Software"},
	
    {SP_PREFERENCE_MENU_LABEL_ID, "Prefere&nce..."},
    {SP_SERVICES_MENU_LABEL_ID, "&Services"},
    {SP_HIDE_WITH_NAME_MENU_LABEL_ID, "&Hide %s"},
    {SP_HIDE_OTHERS_MENU_LABEL_ID, "Hide &Others"},
    {SP_SHOW_ALL_MENU_LABEL_ID, "Sho&w All"},

    {SP_MINIMIZE_MENU_LABEL_ID, "&Minimize"},
    {SP_ZOOM_MENU_LABEL_ID, "&Zoom"},
    {SP_BRING_ALL_TO_FRONT_MENU_LABEL_ID, "&Bring All to Front"},
	
    {"Printer", "Printer"},
    {"PostScript Printer", "PostScript Printer"},
    {"PostScript File", "PostScript File"},
    {"Enhanced Meta File", "Enhanced Meta File"},
	
    {SP_NULL_ID, ""},
};

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif
